Skip to content

List all Phones

Request

OAuth 2.0 scope:
  • okta.myAccount.phone.read

Lists the current user's phone information for all phones. Includes a collection of links for each phone describing the acceptable operations.

Headers
Acceptstringrequired

Specifies the API version. Current version: 1.0.0

Example:application/json; okta-version=1.0.0
GET
/idp/myaccount/phones
curl -i -X GET \
  https://okta-subdomain.pixtulate.com/idp/myaccount/phones \
  -H 'Accept: application/json; okta-version=1.0.0'

Responses

Example response

Bodyapplication/json;okta-version=1.0.0
Array [
idstring, non-emptyread-onlyrequired

The phone ID of the caller

profileobjectrequired

Defines the phone number on the profile

statusstring, non-emptyread-onlyrequired

The phone status of the caller

Enum:"VERIFIED""UNVERIFIED"
]
Response
[ { "id": "sms10ltpSdwXJCem80g4", "status": "VERIFIED", "profile": {}, "_links": {} }, { "id": "sms18vrvVDDmi4Qlz0g4", "status": "UNVERIFIED", "profile": {}, "_links": {} } ]